package yangtz.cs.liu.campus.vo.time;

import lombok.Data;

@Data
public class SchedulePositionInfo {
    private Integer grade;
    private Integer classNo;
    private Integer weekDay; //一个星期中有几天上课
    private Integer seqNo;  //一天中上几节课
    private SubjectInfo subjectInfo;//科目
    private String teacher;//老师

    public SchedulePositionInfo(Integer g, Integer cn, Integer wd, Integer sn, SubjectInfo si, String t){
        this.grade=g;
        this.classNo=cn;
        this.weekDay=wd;
        this.seqNo=sn;
        this.subjectInfo=si;
        this.teacher=t;
    }

    public SchedulePositionInfo(SchedulePositionInfo s){
        this.grade=s.getGrade();
        this.classNo=s.getClassNo();
        this.weekDay=s.getWeekDay();
        this.seqNo=s.getSeqNo();
        this.subjectInfo=s.getSubjectInfo();
        this.teacher=s.getTeacher();
    }
}
